ResourcesReward Coupon Templates

List reward coupon templates

List reward coupon templates owned by the selected store.

GET
/v2/reward-coupon-templates

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Select the SellApp store for this API request.

In: header

Query Parameters

limit?integer

Number of items to return per page.

Default15
Range1 <= value <= 100
page?integer

Page number to return.

Default1
Range1 <= value
pagination?boolean

Set to false to return at most 100 matching items in one data array without pagination links or metadata.

Defaulttrue

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://sell.app/api/v2/reward-coupon-templates"
{
  "data": [
    {
      "id": 0,
      "name": "string",
      "type": "PERCENTAGE",
      "discount": "string",
      "store_wide": true,
      "minimum_amount": "string",
      "maximum_discount_amount": "string",
      "expires_at": "2019-08-24T14:15:22Z",
      "expires_after_days": 1,
      "redemption_mode": "customer_locked",
      "is_active": true,
      "listing_ids": [
        0
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "links": {
    "first": "https://sell.app/api/v1/blacklists?page=1",
    "last": "https://sell.app/api/v1/blacklists?page=4",
    "prev": null,
    "next": "https://sell.app/api/v1/blacklists?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 4,
    "links": [
      {
        "url": "string",
        "label": "string",
        "active": true
      }
    ],
    "path": "https://sell.app/api/v1/blacklists",
    "per_page": 15,
    "to": 15,
    "total": 57
  }
}
{
  "message": "Unauthenticated."
}
{
  "message": "This action is unauthorized."
}
{
  "message": "The given data was invalid.",
  "errors": {
    "data": [
      "The data field is required."
    ]
  }
}